# flopc::MP_domain_base Class Reference
[Internal (private) interface.]

Reference to a set of index values. More...

`#include <MP_domain.hpp>`

Inheritance diagram for flopc::MP_domain_base:
[legend]
Collaboration diagram for flopc::MP_domain_base:
[legend]

List of all members.

## Public Member Functions
| MP_domain_base ()
virtual | ~MP_domain_base ()
virtual Functor * | makeInsertFunctor () const
virtual MP_index * | getIndex () const =0
virtual const MP_set_base * | getSet () const =0
void | display () const
virtual size_t | size () const
## Public Attributes
const Functor * | donext
## Private Attributes
int | count
## Friends
class | MP_domain
class | Handle< MP_domain_base * >
MP_domain | operator* (const MP_domain &a, const MP_domain &b)
| operator which creates a new domain as the pairwise combinations of two input domains.

## Detailed Description

Reference to a set of index values.

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

Definition at line 30 of file MP_domain.hpp.

## Constructor & Destructor Documentation

flopc::MP_domain_base::MP_domain_base | ( |  | ) |

virtual flopc::MP_domain_base::~MP_domain_base | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual Functor* flopc::MP_domain_base::makeInsertFunctor | ( |  | ) | const`[virtual]`

Reimplemented in flopc::MP_domain_subset< nbr >.

virtual MP_index* flopc::MP_domain_base::getIndex | ( |  | ) | const`[pure virtual]`

Implements flopc::MP_index_base.

Implemented in flopc::MP_domain_set, and flopc::MP_domain_subset< nbr >.

virtual const MP_set_base* flopc::MP_domain_base::getSet | ( |  | ) | const`[pure virtual]`

Implemented in flopc::MP_domain_set, and flopc::MP_domain_subset< nbr >.

void flopc::MP_domain_base::display | ( |  | ) | const`[virtual]`

Reimplemented from flopc::MP_index_base.

virtual size_t flopc::MP_domain_base::size | ( |  | ) | const`[virtual]`

## Friends And Related Function Documentation

friend class MP_domain`[friend]`

Definition at line 31 of file MP_domain.hpp.

friend class Handle< MP_domain_base * >`[friend]`

Definition at line 32 of file MP_domain.hpp.

MP_domain operator* | ( | const MP_domain & | a,
|  | const MP_domain & | b |
| ) |  |  | `[friend]`

operator which creates a new domain as the pairwise combinations of two input domains.

## Member Data Documentation

int flopc::MP_domain_base::count`[private]`

Reimplemented from flopc::MP_index_base.

Definition at line 35 of file MP_domain.hpp.

const Functor* flopc::MP_domain_base::donext

Definition at line 45 of file MP_domain.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_domain.hpp